curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Notification
Get notification
Get a single notification event by ID.
GET
/
api
/
v1
/
notifications
/
{notification_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Path parameters
Response
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"event_type": "job.completed",
"workflow_id": "f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"payload": {
"job_id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "COMPLETED"
},
"created_at": "2026-04-29T10:05:00Z",
"is_read": false
}
Was this page helpful?

